Package org.drinkless.tdlib

# Class TdApi.PageBlockVideo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockVideo

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockVideo extends TdApi.PageBlock
A video.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.PageBlockCaption`
  `caption`
  Video caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isLooped`
  True, if the video must be looped.
  `boolean`
  `needAutoplay`
  True, if the video must be played automatically.
  `TdApi.Video`
  `video`
  Video file; may be null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockVideo()`
  A video.
  `PageBlockVideo(TdApi.Video video, TdApi.PageBlockCaption caption, boolean needAutoplay, boolean isLooped)`
  A video.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### video

    @Nullable public TdApi.Video video
    Video file; may be null.

  - ### caption

    public TdApi.PageBlockCaption caption
    Video caption.

  - ### needAutoplay

    public boolean needAutoplay
    True, if the video must be played automatically.

  - ### isLooped

    public boolean isLooped
    True, if the video must be looped.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockVideo

    public PageBlockVideo()
    A video.

  - ### PageBlockVideo

    public PageBlockVideo(TdApi.Video video, TdApi.PageBlockCaption caption, boolean needAutoplay, boolean isLooped)
    A video.
    Parameters:
      `video` - Video file; may be null.
      `caption` - Video caption.
      `needAutoplay` - True, if the video must be played automatically.
      `isLooped` - True, if the video must be looped.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR